Light Up The Sky
2020-12-02 18:53
采纳率: 50%
浏览 278

求问github项目软件该怎么安装?

用的系统是Linux Ubuntu,直接搜索源安装的版本都是很旧的,但是github项目安装实在看不懂,clone下来后也没有个install安装程序,该怎么执行?执行什么来安装?里面说明文件也没说怎么安装

 

  • 写回答
  • 好问题 提建议
  • 关注问题
  • 收藏
  • 邀请回答

12条回答 默认 最新

  • bj_0163_bj 2020-12-02 21:28
    已采纳

    要不你私发下链接,我看下你这个里面都有什么,

    已采纳该答案
    评论
    解决 无用
    打赏 举报
  • bj_0163_bj 2020-12-02 21:27

    github 一般有源码安装,那就有一个可以运行的文件,和直接到文件目录下,直接运行的代码,这种就是替换数据,直接运行。你这个主目录好像没看运行文件,可以在文件夹里看下,test里应该是给了样例吧

    评论
    解决 无用
    打赏 举报
  • 考古学家lx 2020-12-03 09:34

    可以执行下面的命令一键安装,如果不存在就去github看脚本,github右边有一个版本链接。

    wget -O- https://gist.githubusercontent.com/ifduyue/dea03b4e139c5758ca114770027cf65c/raw/install-proxychains-ng.sh | sudo bash -s

    如果出现 CC Make 编译错误,请安装gcc

    yum -y install gcc gcc-c++ kernel-devel

     

    --------------------------------------------------------

    Readme上面有一个Installation的。

    详细sheel安装脚本:

    #!/bin/sh
    # Usage:
    #   wget -O- https://gist.githubusercontent.com/ifduyue/dea03b4e139c5758ca114770027cf65c/raw/install-proxychains-ng.sh | sudo bash -s
    
    set -eu
    
    version=4.14
    wget https://github.com/rofl0r/proxychains-ng/archive/v$version.tar.gz
    tar xf v$version.tar.gz
    
    
    (cd proxychains-ng-$version
     ./configure
     make
     make install
     [[ -f /etc/proxychains.conf ]] || cp src/proxychains.conf /etc/proxychains.conf
    )
    
    rm -rf v$version.tar.gz proxychains-ng-$version
    评论
    解决 无用
    打赏 举报
  • Bon�Bon 2020-12-03 14:00

    支持

    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-03 14:30

    这个一键安装命令执行后,搜不到proxychains-ng软件版本……应该没装上,为什么呢

    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-03 14:34

    按着文档运行make install又missing separator,加TAB结果recipe commences before first target

    评论
    解决 无用
    打赏 举报
  • 考古学家lx 2020-12-03 15:00

    那把github上的4.14wget 下来

    tar 解压一下

    然后cd到目录里, make & make install 

    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-03 18:38

    make install能运行,但是报错missing separator…该怎么改这个?

    评论
    解决 无用
    打赏 举报
  • 考古学家lx 2020-12-04 09:18
    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-04 14:12

    之前搜的就是按这个改的,还有别的教程,无论加不加那句,在前面加TAB,它还是报错missing separator

     

    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-04 14:13

     

    评论
    解决 无用
    打赏 举报
  • Light Up The Sky 2020-12-04 19:36

    已私一楼解决

    评论
    解决 无用
    打赏 举报

相关推荐 更多相似问题